### {{{@ad.common@	Common part; some helper macros shared between .spec files
%define __isDirectoryShared	f() { rpm --eval '%%{_netsharedpath}' | awk -v y="$1" '{ split($1, x, ":"); for (i in x) if (index(y,x[i])==1) exit 0; exit 1; }'; }; f
%define __install_info		( %{__isDirectoryShared} %{_infodir} ) || /sbin/install-info --info-dir=%{_infodir}
%define __install_info_post	g() { %{__install_info} "$@" || :; }; g
%define __install_info_preun	g() { test "$1" != 0 || %{__install_info} --delete || :; }; g
### }}}

Summary:	Tool to detect some RPM packaging errors
Name:		rpmDirectoryCheck
Version:	0.8
Release:	2

URL:		http://www.tu-chemnitz.de/~ensc/rpmDirectoryCheck
Source0:	http://www.tu-chemnitz.de/~ensc/rpmDirectoryCheck/%{name}-%{version}.tar.bz2
License:	GPL
Group:		Development/Tools
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	rpm-python libxslt graphviz
BuildRequires:	python2 texinfo tetex-dvips libxslt graphviz
Requires(post):	gawk rpm /sbin/install-info
Requires(preun): gawk rpm /sbin/install-info

%description
Various RPMS are creating files although the basedir is not owned by
them or their requirements.

This tool tests all installed packages or a subset of them for this
error. As a side-effect it can create nice graphics showing installed
RPMS and their dependencies.


%prep
%setup -q


%build
%configure
%__make %{?_smp_mflags} all ps


%install
rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT

for i in $RPM_BUILD_ROOT%_sysconfdir/%name/*.conf; do
	test -e "$i" || continue
	touch ${i}{o,c}
done

%clean
rm -rf $RPM_BUILD_ROOT


%post
%__install_info_post  %_infodir/dirchecker.info

%preun
%__install_info_preun %_infodir/dirchecker.info


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%doc doc/*.ps sample/generate.sh
%_infodir/*
%_bindir/*
%_datadir/%name
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/*.conf
%ghost %_sysconfdir/%name/*.confc
%ghost %_sysconfdir/%name/*.confo


%changelog
* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Mar  4 2005 Ville Skyttä <ville.skytta at iki.fi>
- Split context marked dependency syntax to work around #118773.

* Tue Jul 29 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.8-0.fdr.1
- updated to 0.8
- added 'graphviz' to the list of requirements

* Tue Jul 29 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.7.1-1
- require libxslt at build-time

* Mon Jul 28 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.7-1
- updated to 0.7
- used curlies around macros more consistently
- removed INSTALL from %%doc file-list

* Mon Jul 28 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.6-1
- added rpm to Requires(...):

* Tue Jul 15 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.5-1
- added configfiles

* Fri Sep 13 2002 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0.4.0-1
- Removed rpm-python2 subpackage (already in null)

* Tue Aug 14 2001 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
- Added rpm-python2 subpackage

* Thu Aug  9 2001 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
- Initial build & release.


## Local Variables:
## mode: rpm-spec
## End:
